namespace InABox.Mobile
{
    public class StringCombiner : AbstractCombiner<string, StringCombinerFunction>
    {
        
        public string Separator { get; set; }
        protected override string Combine(string current, string next)
        {
            return Function switch
            {
                StringCombinerFunction.Append => string.Join(Separator, new [] { current, next } ),
            _ => current
            };
        }
    }
}